### Method

# Phosh RotationManager set_mode

#### Declaration [src]

    gboolean
    phosh_rotation_manager_set_mode (
      PhoshRotationManager* self,
      PhoshRotationManagerMode mode
    )

#### Description [src]

Sets the given mode.

Sets property | `Phosh.RotationManager:mode`

#### Parameters

`mode`

  Type: `PhoshRotationManagerMode`

  The `PhoshRotationManagerMode` to set.

#### Return value

Type: `gboolean`

`TRUE` if setting the mode was possible, otherwise `FALSE` (e.g. when trying to set `PHOSH_ROTATION_MANAGER_MODE_SENSOR` without having a sensor.